%global goipath         git.todevski.com/dean/linkding-cli
%global forgeurl        https://git.todevski.com/dean/linkding-cli
%global debug_package   %{nil}
%global scm             git

%global commit          c1549d7
%global date            20220519

Version:                0

%gometa

Name:           linkding-cli
Release:        4%{?dist}
Summary:        Linkding cli helper
License:        MIT
URL:            %{forgeurl}
Source:         %{forgeurl}/-/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  git

%description
Linkding cli helper

%prep
%autosetup -n %{name}-%{commit}

%build
go build -ldflags "-w" -o %{name} .
./%{name} completion bash > %{name}.bash
./%{name} completion zsh > _%{name}

%install
install -m 0755 -vd              %{buildroot}%{_bindir}
install -m 0755 -vd              %{buildroot}%{_datadir}/bash-completion/completions
install -m 0755 -vd              %{buildroot}%{_datadir}/zsh/site-functions
install -m 0755 -vp %{name}      %{buildroot}%{_bindir}/%{name}
install -m 0644 -vp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -m 0644 -vp _%{name}     %{buildroot}%{_datadir}/zsh/site-functions/_%{name}

%files
%license LICENSE
%doc *.md
%{_bindir}/*
%{_datadir}/*

%changelog
* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-4
- rebuilt

* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-3
- rebuilt

* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-2
- rebuilt

* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-1
- initial build
